#
# spec file for package tragtor
#
# Copyright (c) 2019 Packman Team <packman@links2linux.de>
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.links2linux.org/
#


Name:           tragtor
Version:        0.9.3
Release:        pm152.1.2
Summary:        A GUI for FFmpeg for audio and video-conversion
License:        LGPL-2.1-only
URL:            http://mein-neues-blog.de/tragtor-gui-for-ffmpeg/
Source0:        http://repository.mein-neues-blog.de:9000/archive/tragtor-%{version}_all.tar.gz
Patch0:         tragtor-desktop.patch
BuildRequires:  fdupes
Requires:       ffmpeg
Requires:       id3v2
Requires:       python > 2.5
Requires:       python2-dbus-python
Requires:       python2-gtk
BuildArch:      noarch

%description
traGtor is a graphical user interface (GUI) for the awesome conversion tool ffmpeg for the use with Linux-OS.
It is written in Python and uses the GTK-Engine (standard in GNOME desktops) for displaying its interface.
The goal of traGtor is not to bring you all of the features ffmpeg offers, but to be a fast
and user friendly choice for converting a single media file into any other format.
For a full ffmpeg featuring GUI please refer to the other great projects listed below.
This GUI is written for not dealing too much with command lines, options and parameters and so on,
and refers mostly to the real keyboard haters.

One may edit the command line sent to ffmpeg to fit all of his needs,
but for those cases the more command line oriented tools (with nice GUIs too) could be the better choice.
But if you need a tool for click oriented and flawless conversion like stripping an mp3 from a youtube movie,
resizing and recoding a clip to fit your mobiles screen or just changing the format of a movie-file
to be able to play it in a flash-media-player  traGor may be Mr. Right for you.

%prep
%setup -q -c
%patch0 -p1
# fix shebang
sed -i 's|/usr/bin/env python|%{_bindir}/python2|' usr/share/tragtor/lang_??.py usr/share/tragtor/tragtor.py

%build

%install
install -D -m755 usr/bin/tragtor %{buildroot}/%{_bindir}/tragtor
install -D -m644 usr/share/applications/tragtor.desktop %{buildroot}%{_datadir}/applications/tragtor.desktop
install -D -m644 usr/share/pixmaps/tragtor.svg %{buildroot}%{_datadir}/pixmaps/tragtor.svg
pushd usr/share/tragtor
for i in *.py; do
  install -D -m755 "$i" %{buildroot}%{_datadir}/tragtor/"$i"
done
for i in *.svg; do
  install -D -m644 "$i" %{buildroot}%{_datadir}/tragtor/"$i"
done
mkdir -pv %{buildroot}%{_datadir}/tragtor/icons/black
pushd icons/black
for i in *.svg; do
  install -D -m644 "$i" %{buildroot}%{_datadir}/tragtor/icons/black/"$i"
done
popd
mkdir -pv %{buildroot}%{_datadir}/tragtor/icons/white
pushd icons/white
for i in *.svg; do
  install -D -m644 "$i" %{buildroot}%{_datadir}/tragtor/icons/white/"$i"
done
popd
install -D -m644 ee.jpg %{buildroot}%{_datadir}/tragtor/ee.jpg
install -D -m644 tragtor.glade %{buildroot}%{_datadir}/tragtor/tragtor.glade
install -D -m644 tragtor.gladep %{buildroot}%{_datadir}/tragtor/tragtor.gladep
install -D -m644 version %{buildroot}%{_datadir}/tragtor/version
popd

%fdupes %{buildroot}

%files
%license usr/share/doc/tragtor/COPYING
%doc usr/share/doc/tragtor/changelog usr/share/doc/tragtor/README
%{_bindir}/tragtor
%{_datadir}/applications/tragtor.desktop
%{_datadir}/pixmaps/tragtor.svg
%dir %{_datadir}/tragtor
%{_datadir}/tragtor/*.py
%{_datadir}/tragtor/*.svg
%{_datadir}/tragtor/ee.jpg
%{_datadir}/tragtor/tragtor.glade
%{_datadir}/tragtor/tragtor.gladep
%{_datadir}/tragtor/version
%dir %{_datadir}/tragtor/icons
%dir %{_datadir}/tragtor/icons/black
%{_datadir}/tragtor/icons/black/*.svg
%dir %{_datadir}/tragtor/icons/white
%{_datadir}/tragtor/icons/white/*.svg

%changelog
* Wed Oct 23 2019 Luigi Baldoni <aloisio@gmx.com>
- Update to version 0.9.3
  * New language: Russian! - Thanks a lot to Confignix!
    https://github.com/confignix
  version 0.9.2:
  * Fix message dialog images
  * Use real version as window title
  version 0.9.1:
  * Try to fix a bug with newer ffmpeg and "newaudio" or "newvideo"
    option
  version 0.9.0:
  * Render stream ID in treeview always with dark gray foreground
    color (fix for using dark themes)
  * Increase subversion number for no reason except causing
    confusion (I'm trampling around on 0.8.x since February 2009)
  version 0.8.84:
  * Bug when comma appears in input file names
  version 0.8.83:
  * New icons
  * Icons automatically coloured in opposite of the background
  * FFmpeg/avconv and traGor informations on settings tab
  * Cleanup
- Dropped tragtor-version.patch (no longer necessary)
- Refreshed tragtor-desktop.patch
- Spec cleanup
* Thu Jul 24 2014 joerg.lorenzen@ki.tng.de
  Version 0.8.82:
  * Textview in additional custom options wasn't editable
* Thu Jul 17 2014 joerg.lorenzen@ki.tng.de
  Version 0.8.81:
  * Default stream separator is ":" now
  Version 0.8.80:
  * Changed dependencies to take avconv into account
* Tue May 13 2014 joerg.lorenzen@ki.tng.de
  Version 0.8.79:
  * New language: French! - Thanks a lot to Florian Bigard!
  Version 0.8.78:
  * Changed buttons on format tab show if value was raised or lowered
  * Changed buttons on format tab with tooltip showing original value
  * Bugfix in checking for avconv (surpress output)
  * Thanks to FeRDNYC for bug report and feature request
* Thu Jan  9 2014 joerg.lorenzen@ki.tng.de
  Version 0.8.77:
  * Added config option "command" to force a certain version of ffmpeg/avconv
* Fri Dec 27 2013 joerg.lorenzen@ki.tng.de
  Version 0.8.76:
  * Bug in tragtor.desktop
* Thu Oct 17 2013 joerg.lorenzen@ki.tng.de
  Version 0.8.75:
  * Use double quotes in command line
* Tue Oct 15 2013 joerg.lorenzen@ki.tng.de
  Version 0.8.74:
  * Changed "Zhōngwén" to "简体中文" in selector
* Tue Oct  1 2013 joerg.lorenzen@ki.tng.de
  Version 0.8.73:
  * avconv changed codecs output again - fixed
  * bug with "name as input" function
* Mon Sep  9 2013 joerg.lorenzen@ki.tng.de
  Version 0.8.72:
  * Strip nice from command line and add it to process control
  * Fix for progress bar on avconv
  * Fix for cancelling processing on avconv
  * Bug in brazilian language file
  * Languages with full names in language selector
  * Supress rm error if no ffmpeg2pass file exists
  * rm av2pass log files on cleanup
* Tue Aug  6 2013 joerg.lorenzen@ki.tng.de
  Version 0.8.71:
  * New language: Chinese! - Thanks a lot to 杜宏羽 (Dong Feng Wei Xiao)!
  Version 0.8.70:
  * New language: Brazilian! - Thanks a lot to VaGNaroK!
* Wed Jul 17 2013 joerg.lorenzen@ki.tng.de
  Version 0.8.69:
  * Italian language updates - Thanks to Fabio "Regulus"
* Tue Jun  4 2013 joerg.lorenzen@ki.tng.de
  Version 0.8.68:
  * detect multiple encoder/decoder options in codecs
* Mon May 20 2013 joerg.lorenzen@ki.tng.de
  Version 0.8.67:
  * Language updates - thanks to Bersil!
* Mon May  6 2013 joerg.lorenzen@ki.tng.de
  Version 0.8.66:
  * Bug: outFileChooser.get_filename() may return None
  * Bug: "path from source" or "name from source" produces error if no source
* Tue Jan 15 2013 joerg.lorenzen@ki.tng.de
  Version 0.8.65:
  * Bug: preset combo box entry not editable
* Thu Nov  8 2012 joerg.lorenzen@ki.tng.de
  Version 0.8.64:
  * Stripped Output tab and implemented new output selection in Progress tab
  * Implemented stream separator selector to fix avconv/ffmpeg differences
  * Loosened the detection restrictions of codecs
* Wed Aug 22 2012 joerg.lorenzen@ki.tng.de
  Version 0.8.63:
  * Set container colum width in config file (default: containerColumns = 3)
  * Container description is truncated to 24 chars max
  Version 0.8.62:
  * Minor changes in lang_en.py mentioned by DasFox
  * Reduced colons in container selector from 3 to 2
  * Muted error output of "which"
* Thu Jul 26 2012 joerg.lorenzen@ki.tng.de
  Version 0.8.61:
  * Removed libglade warnings about swapped="no"
  Version 0.8.60:
  * Fixed bug introduced with 0.8.56 about out file chooser
  * Check if command is avlib or ffmpeg
  * Output of outfilename removed
  Version 0.8.59:
  * Changes in the italian language file – thanks to Fabio “Regulus” Boccaletti!
  Version 0.8.58:
  * Changes in the italian language file – thanks to Fabio “Regulus” Boccaletti!
* Sat Jul 21 2012 joerg.lorenzen@ki.tng.de
  Version 0.8.57:
  * Default language is english
  Version 0.8.56:
  * Switching notebook doesn't retrigger checkOutFile (broke file chooser)
  * Take some action after progress has finished (close tragtor, shutdown, ...)
* Sat Jul 14 2012 joerg.lorenzen@ki.tng.de
  Version 0.8.55:
  * Changes in the italian language file – thanks to Fabio “Regulus” Boccaletti!
* Tue Jul  3 2012 joerg.lorenzen@ki.tng.de
  Version 0.8.54:
  * Error Handler switchable - obsolete since FFmpeg 0.11
* Mon May  7 2012 joerg.lorenzen@ki.tng.de
  Version 0.8.53:
  * New bitrate syntax with selector and config
  * Fixed some width/height issues in UI
  * Compiler options in text view with scrollbar
* Sun Apr 22 2012 joerg.lorenzen@ki.tng.de
  Version 0.8.52:
  * Time display in progress window functional again
  Version 0.8.51:
  * Progress bar functional again
* Tue Apr 17 2012 joerg.lorenzen@ki.tng.de
  Version 0.8.50:
  * RegEx for audio stream detection
  Version 0.8.49:
  * Deinterlace not set in fillValues
  * [streamcopy] not available in presets
* Tue Mar  6 2012 joerg.lorenzen@ki.tng.de
  Version 0.8.48:
  * Preview generation on right click
  Version 0.8.47:
  * Presets skip unset values when opened now
  Version 0.8.46:
  * Creation of preview thumbs in threads
  * Check for preset video bitrate in video streams, too
* Sun Nov 27 2011 joerg.lorenzen@ki.tng.de
  Version 0.8.45:
  * Auto detection of stream separation char in newer ffmpeg
  * Buttons to set path and name like source file in out file tab
  * Changes in the italian language file – thanks to Fabio “Regulus” Boccaletti!
  Version 0.8.44:
  * Newer ffmpeg changed . to : in stream definition
* Sun Nov 27 2011 joerg.lorenzen@ki.tng.de
  Version 0.8.43:
  * Send video file in first pass to /dev/null
  * Confirmation window resizable
  * Cleanup 2 pass log file (configurable)
  Version 0.8.42:
  * Misspelling in control file
* Fri Oct 14 2011 joerg.lorenzen@ki.tng.de
  Version 0.8.41:
  * Changes in the italian language file - thanks to Fabio "Regulus" Boccaletti!
  * Minor changes in the english language file - thanks to DasFox
  Version 0.8.40:
  * Help window back to 768 pixels
  * Minor english language fix
  Version 0.8.39:
  * English file reworked - thanks to Das
  * Renamed variable names in lang files
  * Error in italian language file: <small> tag
  * Bug when displaying help on not readable input
  * FFmpeg help only accessible with -h (not with -? or --help)
  * Help window a little smaller
  * Video filters translatable
  * CPU modes translatable
  * /usr/share/doc directory with a readme, changelog and license file
  Version 0.8.38:
  * Version of FFmpeg sometimes not readable (case insensitive now)
  * Changes to the english language file - thanks to Das
* Fri Jul 22 2011 joerg.lorenzen@ki.tng.de
- Initial package, Version 0.8.37
